textures/dsi_textures/plainblack
{
	qer_editorimage textures/skies/blacksky.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_sun 1 1 1 50 90 90
	q3map_surfacelight 130
	{
		map gfx/colors/black.tga
	}
}

textures/dsi_textures/bouncepad
{
	qer_editorimage textures/dsi_textures/bouncepad.tga
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm pointlight
	q3map_bounce 0
	nopicmip
	{
		map textures/dsi_textures/bouncepad.blend.tga
		blendfunc add
		rgbGen vertex
		tcMod stretch sawtooth 0.75 2 0 0.75 
	}
	{
		map textures/dsi_textures/bouncepad.blend.tga
		blendfunc add
		rgbGen vertex
		tcMod stretch inversesawtooth 0.75 2 0 0.75 
	}
	{
		clampmap textures/dsi_textures/bouncepad.tga
		blendfunc add
		rgbGen vertex
		tcMod rotate 45
	}
}





textures/dsi_textures/weapspawn01
{
        qer_editorimage textures/dsi_textures/weapspawn01.blend.tga
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm pointlight
	nopicmip
	{
		clampmap textures/dsi_textures/weapspawn01.tga
		blendfunc add
		rgbGen vertex
		tcMod rotate 45
	}
	{
		map textures/dsi_textures/weapspawn01.blend.tga
		blendfunc add
		rgbGen vertex
	}
}

textures/dsi_textures/dsiglass
{
	qer_editorimage textures/dsi_textures/dsiglass.tga
	surfaceparm trans
	cull disable
	qer_trans 0.5
	nopicmip
	{
		map textures/dsi_textures/dsitinfx.tga
		blendfunc add
		rgbGen identity
		tcGen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

textures/dsi_textures/dsiglassblue
{
	qer_editorimage textures/dsi_textures/dsiglass.tga
	surfaceparm trans
	cull disable
	q3map_bounce 0
	nopicmip
	qer_trans 0.5
	{
		map textures/dsi_textures/dsitinfx.tga
		blendfunc add
		rgbGen identity
		tcGen environment 
	}
{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/dsi_textures/dablue.tga
		blendfunc add
	}
}

textures/dsi_textures/tmpjp
{
	qer_editorimage textures/dsi_textures/tmpjp.tga
	q3map_lightimage textures/dsi_textures/tmpjp.blend.tga
	q3map_surfacelight 300
	{
		map textures/dsi_textures/tmpjp.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/dsi_textures/tmpjp.blend.tga
		blendfunc add
		rgbGen wave sin 0 1 0 1 
	}
}

textures/dsi_textures/tmpjp2
{
	qer_editorimage textures/dsi_textures/tmpjp2.tga
	surfaceparm trans
	cull disable
	qer_trans 0.5
	{
		map textures/dsi_textures/dsitinfx.tga
		blendfunc add
		rgbGen identity
		tcGen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/dsi_textures/tmpjp.blend.tga
		blendfunc add
		rgbGen wave sin 0 1 0 1 
	}
	{
		map textures/dsi_textures/tmpjp2.tga
		blendfunc blend
	}
}

textures/dsi_textures/steplight1
{
	qer_editorimage textures/dsi_textures/steplight1.tga
	q3map_lightimage textures/dsi_textures/steplight1.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 700
	{
		map textures/dsi_textures/steplight1.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/dsi_textures/steplight1.blend.tga
		blendfunc add
	}
}

textures/dsi_textures/steplight1b
{
	qer_editorimage textures/dsi_textures/steplight1b.tga
	q3map_lightimage textures/dsi_textures/steplight1.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 500
	{
		map textures/dsi_textures/steplight1b.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/dsi_textures/steplight1.blend.tga
		blendfunc add
	}
}

textures/dsi_textures/steplight1c
{
	qer_editorimage textures/dsi_textures/steplight1b.tga
	q3map_lightimage textures/dsi_textures/steplight1.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	{
		map textures/dsi_textures/steplight1b.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/dsi_textures/steplight1.blend.tga
		blendfunc add
	}
}

textures/dsi_textures/tlight
{
	qer_editorimage textures/dsi_textures/tlight.tga
	q3map_lightimage textures/dsi_textures/tlight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 650
	{
		map textures/dsi_textures/tlight.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/dsi_textures/tlight.blend.tga
		blendfunc add
	}
}


textures/dsi_textures/tlight2
{
	qer_editorimage textures/dsi_textures/tlight.tga
	q3map_lightimage textures/dsi_textures/tlight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	{
		map textures/dsi_textures/tlight.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/dsi_textures/tlight.blend.tga
		blendfunc add
	}
}


textures/dsi_textures/steplight1a
{
	qer_editorimage textures/dsi_textures/steplight1.tga
	q3map_lightimage textures/dsi_textures/steplight1.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 900
	{
		map textures/dsi_textures/steplight1.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/dsi_textures/steplight1.blend.tga
		blendfunc add
	}
}

textures/dsi_textures/cretelighttrim01
{
	qer_editorimage textures/dsi_textures/cretelighttrim01.tga
	q3map_lightimage textures/dsi_textures/cretelighttrim01.blend.tga
	surfaceparm nomarks
	q3map_lightsubdivide 64
        q3map_surfacelight 500
	{
		map textures/dsi_textures/cretelighttrim01.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/dsi_textures/cretelighttrim01.blend.tga
		blendfunc add
	}
}

textures/dsi_textures/cretetrimlight2
{
	qer_editorimage textures/dsi_textures/cretetrimlight2.tga
	q3map_lightimage textures/dsi_textures/cretelighttrim01.blend.tga
	surfaceparm nomarks
	q3map_lightsubdivide 64
        q3map_surfacelight 500
	{
		map textures/dsi_textures/cretetrimlight2.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/dsi_textures/cretelighttrim01.blend.tga
		blendfunc add
	}
}

textures/dsi_textures/cretetrimlight3
{
	qer_editorimage textures/dsi_textures/cretetrimlight3.tga
	q3map_lightimage textures/dsi_textures/cretelighttrim01.blend.tga
	surfaceparm nomarks
	q3map_lightsubdivide 64
        q3map_surfacelight 500
	{
		map textures/dsi_textures/cretetrimlight3.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/dsi_textures/cretelighttrim01.blend.tga
		blendfunc add
	}
}

textures/dsi_textures/cretetrimlight4
{
	qer_editorimage textures/dsi_textures/cretetrimlight4.tga
	q3map_lightimage textures/dsi_textures/cretelighttrim01.blend.tga
	surfaceparm nomarks
	q3map_lightsubdivide 64
	q3map_surfacelight 500
	{
		map textures/dsi_textures/cretetrimlight4.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/dsi_textures/cretelighttrim01.blend.tga
		blendfunc add
	}
}

textures/dsi_textures/cretetrimlight3b
{
	qer_editorimage textures/dsi_textures/cretetrimlight3b.tga
	q3map_lightimage textures/dsi_textures/cretelighttrim3.blend.tga
	surfaceparm nomarks
	q3map_lightsubdivide 64
	q3map_surfacelight 450
	{
		map textures/dsi_textures/cretetrimlight3b.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/dsi_textures/cretelighttrim3.blend.tga
		blendfunc add
	}
}

textures/dsi_textures/cretetrimlight3c
{
	qer_editorimage textures/dsi_textures/cretetrimlight3b.tga
	q3map_lightimage textures/dsi_textures/cretelighttrim3.blend.tga
	surfaceparm nomarks
	q3map_lightsubdivide 64
	q3map_surfacelight 300
	{
		map textures/dsi_textures/cretetrimlight3b.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/dsi_textures/cretelighttrim3.blend.tga
		blendfunc add
	}
}

textures/dsi_textures/dabluesky
{
	qer_editorimage textures/dsi_textures/dabluesky.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm sky
        q3map_surfacelight 200
	tcMod scroll 0.05 0.06
        tcMod scale 3 2
	{ 
                map textures/dsi_textures/dabluesky.tga
		tcMod scale 3 2
		tcMod scroll 0.05 0.06		
        }
}




textures/dsi_textures/cretewalllight01
{
	qer_editorimage textures/dsi_textures/cretewalllight01.tga
	q3map_lightimage textures/dsi_textures/cretewalllight01.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 800
	{
		map textures/dsi_textures/cretewalllight01.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/dsi_textures/cretewalllight01.blend.tga
		blendfunc add
	}
}

textures/dsi_textures/dsiwater_ripple
{
		qer_editorimage textures/dsi_textures/pool3d_3c.tga
		qer_trans .5
		q3map_globaltexture
		q3map_bounce 0
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
	
		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5	
		
		{ 
			map textures/dsi_textures/pool3d_5c.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/dsi_textures/pool3d_6c.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			map textures/dsi_textures/pool3d_3c.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}
	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
	

}



